'use client';
import { IBreadcrumbItem, pageStore } from '@/shared/store/pageStore';
import OurCompany from '@/widgets/about/our-company/ui';
import React, { useEffect } from 'react';

const AboutCompany = () => {
  const breadcrumsItem: IBreadcrumbItem[] = [
    {
      label: 'Главная',
      href: '/',
    },
    {
      label: 'О нас',
      href: '/about-us',
    },
    {
      label: 'Наша компания',
      href: '/about-us/our-company',
    },
  ];

  const { onChangePage } = pageStore((state) => state);

  useEffect(() => {
    onChangePage({
      title: 'Наша компания',
      breadcrumbs: breadcrumsItem,
    });
  }, []);

  return (
    <div>
      <OurCompany />
    </div>
  );
};

export default AboutCompany;
